PETSc version 3.15.5
Fix/Edit manual page

# PetscDTNodeType

A description of strategies for generating nodes (both quadrature nodes and nodes for Lagrange polynomials)

### Synopsis

    typedef enum {PETSCDTNODES_DEFAULT=-1, PETSCDTNODES_GAUSSJACOBI, PETSCDTNODES_EQUISPACED, PETSCDTNODES_TANHSINH} PetscDTNodeType;

     PETSCDTNODES_DEFAULT - Nodes chosen by PETSc

     PETSCDTNODES_GAUSSJACOBI - Nodes at either Gauss-Jacobi or Gauss-Lobatto-Jacobi quadrature points

     PETSCDTNODES_EQUISPACED - Nodes equispaced either including the endpoints or excluding them

     PETSCDTNODES_TANHSINH - Nodes at Tanh-Sinh quadrature points

Note: a PetscDTNodeType can be paired with a PetscBool to indicate whether the nodes include endpoints or not, and in the case of PETSCDT_GAUSSJACOBI with exponents for the weight function.

### Level

intermediate

### Location

src/dm/dt/../../../include/petscdt.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages